From 225bdb44919ff8cb9c2de11723055d4c227c1641 Mon Sep 17 00:00:00 2001
From: ericm <ericm>
Date: Wed, 28 May 2008 19:21:43 +0000
Subject: [PATCH] branch: b1_6 a better way to fix the script. b=13659

---
 lustre/tests/replay-single.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/lustre/tests/replay-single.sh b/lustre/tests/replay-single.sh
index 01a90443cd..dcdc119040 100755
--- a/lustre/tests/replay-single.sh
+++ b/lustre/tests/replay-single.sh
@@ -1385,7 +1385,10 @@ AT_MAX_SET=0
 
 at_start()
 {
-    at_is_valid || { skip "AT env is invalid" && return 1 }
+    if ! at_is_valid; then
+        skip "AT env is invalid"
+        return 1
+    fi
 
     if ! at_is_enabled; then
         echo "AT is disabled, enable it by force temporarily"
-- 
GitLab